const int N_eqn = 3;

#include <stdio.h>
#include <assert.h>
#include <math.h>
#include <time.h>
#include <error.h>
#include <errno.h>
#include <stdlib.h>

#include "tom.c"
#include "RK.c"

int main(int argc, char *argv[]){
  
  double a=atof(argv[1]);
  double b=atof(argv[2]);
  double F=atof(argv[3]);
  double G=atof(argv[4]);
 
  printf("%f %f %f %f\n",a,b,F,G);
  
  int n1=55000;
  
  double posx[55000];
  double posy[55000];
  double posz[55000];
 
  double y[3];
  y[0]=0.10;
  y[1]=0.20;
  y[2]=0.30;
  double dydt[3];
  dydt[0]=0.0;
  dydt[1]=0.0;
  dydt[2]=0.0;

  double xx=0.0;
  double h = 0.01;
  
  // const char cc[] = "DATA/data00";
  //char filename [ 20 ];
  FILE *fp;
 
 for(int jj=0; jj<5000; jj++){RK(xx,y,dydt,h,a,b,F,G);}

  //  for(int k=0; k<(60*25); k++){
  for(int k=0; k<=1; k++){
  //    int num=10000+k;
  //    sprintf(filename, "%s%d", cc,num);
  //    fp = fopen(filename,"w");
     if(k==1){fp = fopen("first.list","w");}

  for(int j=0; j<n1; j++){
    
      if(k==1){y[0]=posx[j]; y[1]=posy[j]; y[2]=posz[j];}
     
       RK(xx,y,dydt,h,a,b,F,G);
       if(k==1){fprintf(fp,"%f %f %f\n",y[0],y[1],y[2]);}
       posx[j]=y[0];posy[j]=y[1]; posz[j]=y[2];
 
     
  }
  if(k==1){fclose(fp);}

  }

}
