void RK(double xx, double x[], double dxdt[], double dt, double a, double b, double F, double G)
{
  //double dxdt[N_eqn];
  double xtmp[N_eqn], dx1[N_eqn], dx2[N_eqn], dx3[N_eqn], dx4[N_eqn];
  int i;
 
  lor84(xx, x, dxdt,a,b,F,G);
 
  for(i=0; i<N_eqn;i++)
    {
      dx1[i] = dt*dxdt[i];
      xtmp[i] = x[i] + .5*dx1[i];
    }
  
  lor84(xx + 0.5*dt, xtmp, dxdt,a,b,F,G);
 
  for(i=0;i<N_eqn;i++)
    {
      dx2[i] = dt * dxdt[i];
      xtmp[i] = x[i] + .5*dx2[i];
    }
  lor84(xx + 0.5*dt, xtmp, dxdt,a,b,F,G);


  for(i=0;i<N_eqn;i++)
    {
      dx3[i] = dt * dxdt[i];
      xtmp[i] = x[i] + .5*dx3[i];
    }
  
  lor84(xx + dt, xtmp, dxdt,a,b,F,G);

  for(i=0;i<N_eqn;i++)
    {
      dx4[i] = dt * dxdt[i];
      x[i] += (dx1[i] + dx4[i])/6 + (dx2[i] + dx3[i])/3;
    }
}
